# Schneiders Dotfiles

In this repo you will find my config files of my command line setup and some
info about my overall way of computing.

## Shell: [zsh](http://zsh.org/)

After a long time using the well known bash I switched to zsh. I don't exactly
remember the reasons for switching, probably I just wanted to give it a try, but
found it to be a good alternative.
You can't say zsh, without naming
[oh-my-zsh](https://github.com/robbyrussell/oh-my-zsh), an incredibly good,
'community-driven framework for managing your zsh configuration'.
Just simply install it and you have a great abundance of themes, plugins and
other goodies right at your hands, which will make your everyday life at the
command line a lot easier.

## [tmux](https://github.com/tmux/tmux/wiki)

Tmux is a terminal multiplexer, which means, that you can have several virtual
terminals in one 'real' terminal instance. You can also have multiple sessions
and switch between them. Splitting up your window in different terminals is also
possible, of course.

You can also have some cool info displayed in the lower status line, like
current time, hostname and even the [currently played
song](https://git.schneider-hosting.de/schneider/dotfiles/src/branch/master/tmux/theme.sh#L55)
in clementine.

## [fasd](https://github.com/clvv/fasd)

Navigation on the command line on steroids.
Access your frequently used files and directories with just small shortcuts.
Have a look at the project readme to learn more.

Switching between the tabs is as easy as pressing `<Ctrl>a <Ctrl>h|l`, depending
in which direction you want to go.

## Installation

Executing `./install.sh` will install the configuration. It will download
oh-my-zsh, set zsh as default shell and links all important configuration
files.
