# in case its not already thera
alias la='ls -la'
alias sagu='sudo apt-fast update && sudo apt-fast dist-upgrade && flatpak update'
alias sagi='sudo apt-fast install '
alias notes='vim "+:NV"'
alias slog='sudo less /var/log/syslog'

alias v='f -e vim' # quick opening files with vim
alias o='a -e xdg-open' # quick opening files with xdg-open
alias j='zz '

# {{{ GIT related
alias gs='git status'
alias gfr='git fetch && git rebase'
alias gl='git log'
alias gc='git commit '
alias ga='git add '
alias gc1='git clone --depth 1 '
alias gco='git checkout '
alias gpt='git push && git push --tags'
alias gla='git log --graph --decorate --oneline --all'
#}}}

alias mem='cd /dev/shm'
alias svim='sudoedit '
alias down='xh --download '

alias p3='python3 '
alias py='/usr/bin/env python3 '

alias -g L='| less'
alias -g G='| grep'
alias -g CC='| xclip -in -selection clipboard < "${1:-/dev/stdin}"'

# {{{ Golang
alias gos='cd $GOPTAH/src'
# }}}

# {{{ exa
if  hash exa 2&>/dev/null ; then
    alias ls='exa '
    alias lg='l --git '
    alias lt='l --tree '
fi
#}}}

alias dcu='docker-compose up'
alias dcs='docker-compose start'
alias dce='docker-compose stop'

alias rs='rsync -aAxv --progress '
alias gcc='gcc -Wall -Wextra '
alias mail='neomutt'

alias sys='sudo systemctl '
alias jour='sudo journalctl '
alias usys='systemctl --user '
alias ujour='journalctl --user '

alias killbg='kill ${${(v)jobstates##*:*:}%=*}'
alias dns='dig +noall +answer any '

alias standup='cd /home/schneider/git/ && git standup -m 8 -d 7 -s'
alias fuu='fuck'

alias jswatch='/home/schneider/.yarn/bin/watch '

function ls3() {
    AWS_ACCESS_KEY_ID="S3RVER" AWS_SECRET_ACCESS_KEY="S3RVER" aws --endpoint-url http://0.0.0.0:4568 s3 $@
}
alias backend='aws --profile backend'
alias madness='docker run --rm -it -v $PWD:/docs -p 3005:3000 dannyben/madness'

# {{{ yarn
alias yrb='yarn run build'
#}}}
