#!/usr/bin/env zsh
set -eu
if hash strawberry 2>/dev/null && pgrep strawberry > /dev/null; then
    ARTIST=$(qdbus org.mpris.MediaPlayer2.strawberry /org/mpris/MediaPlayer2 org.freedesktop.DBus.Properties.Get org.mpris.MediaPlayer2.Player Metadata | grep 'xesam:artist: '  | cut -c15-)
    TITLE=$(qdbus org.mpris.MediaPlayer2.strawberry /org/mpris/MediaPlayer2 org.freedesktop.DBus.Properties.Get org.mpris.MediaPlayer2.Player Metadata | grep 'xesam:title: '  | cut -c14-)
    COMBINED="$ARTIST - $TITLE"
    echo ${COMBINED:0:40}
fi
