let g:ale_fixers = {}
let g:ale_fixers['cpp'] = ['clang-format']
let g:ale_fixers['c'] = ['clang-format']
let g:ale_fix_on_save = 1
let g:ale_cpp_clangtidy_checks = ['*,-fuchsia*'] 

setlocal shiftwidth=2
setlocal tabstop=2

" Documentation inside vim
command! -nargs=+ Cppman silent! call system("tmux split-window cppman " . expand(<q-args>))
autocmd FileType cpp nnoremap <silent><buffer> K <Esc>:Cppman <cword><CR>
nnoremap <F5> :!g++ -o /tmp/a.out % && /tmp/a.out<CR>
