if has("nvim")
else
    let g:syntastic_go_checkers = ['go', 'golint', 'govet']
endif

let g:go_fmt_command = "goimports"

au FileType go nmap <F5> <Plug>(go-run)
au FileType go nmap <leader>gi <Plug>(go-imports)
au FileType go nmap <leader>b <Plug>(go-build)
au FileType go nmap <leader>t <Plug>(go-test)
au FileType go nmap <leader>c <Plug>(go-coverage)
au FileType go nmap <Leader>gd <Plug>(go-doc)
au FileType go nmap <Leader>ml <Plug>(go-metalinter)
au FileType go nmap <Leader>r  <Plug>(go-rename)
