let b:ale_fixers = {}
let b:ale_fixers['javascript'] = ['prettier']
let b:ale_fixers['typescript'] = ['prettier']
let b:ale_fixers['json'] = ['eslint']
let b:ale_javascript_prettier_options = '--tab-width 4'
let b:ale_typescript_prettier_options = '--tab-width 4'
let b:ale_fixers['vue'] = ['prettier']
let b:ale_vue_prettier_options = '--no-semi --single-quote'
let b:ale_fix_on_save = 1
let b:ale_javascript_prettier_use_local_config = 1
let b:ale_typescript_prettier_use_local_config = 1
" config for local eslint
let g:ale_javascript_eslint_use_global = 1
let g:ale_javascript_eslint_executable = 'yarn'
let g:ale_javascript_eslint_options = 'run eslint'
let g:ale_typescript_eslint_use_global = 1
let g:ale_typescript_eslint_executable = 'yarn'
let g:ale_typescript_eslint_options = 'run eslint'
let g:ale_json_eslint_use_global = 1
let g:ale_json_eslint_executable = 'yarn'
let g:ale_json_eslint_options = 'run eslint'

let g:jsdoc_formatter = 'tsdoc'
let g:jsdoc_lehre_path = '/home/schneider/.yarn/bin/lehre'

"autocmd bufwritepost *.js silent !standard --fix %
setlocal wildignore+=node_modules

setlocal tabstop=4
setlocal shiftwidth=4

nnoremap <F8> Biawait <ESC>A
nnoremap <F2> :Prettier<CR>

lua <<EOF
-- require'nvim-treesitter.configs'.setup {
--   textobjects = {
--     move = {
--       enable = true,
--       set_jumps = true, -- whether to set jumps in the jumplist
--       goto_next_start = {
--         ["]m"] = "@function.outer",
--         ["]]"] = "@class.outer",
--       },
--       goto_next_end = {
--         ["]M"] = "@function.outer",
--         ["]["] = "@class.outer",
--       },
--       goto_previous_start = {
--         ["[m"] = "@function.outer",
--         ["[["] = "@class.outer",
--       },
--       goto_previous_end = {
--         ["[M"] = "@function.outer",
--         ["[]"] = "@class.outer",
--       },
--     },
--   },
-- }
EOF
