" use python3 as linter
if getline(1) =~# '^#!.*python3\>'
    if has("nvim")
    else
        let syntastic_python_python_exec="python3"
    endif
endif

let g:ale_fixers['python'] = ['black']
let g:ale_fix_on_save = 1
let g:pymode_run_bind = '<F5>'
let g:pydocstring_formatter = 'google'
let g:ale_virtualenv_dir_names = []
let b:ale_python_pylint_executable = 'python $(which pylint)'

" Make a f-string from normal string
nmap <F8> F"if<ESC>A
" remap pydocstring
nmap <silent> <leader><C-i> <Plug>(pydocstring)
