let g:vimtex_imaps_leader='?'
if !has("nvim")
    let g:vimtex_compiler_latexmk ={
                \   'backend' : 'jobs'
                \}
endif

let g:latex_view_general_viewer = 'zathura'
let g:vimtex_view_method = 'zathura'
let g:vimtex_compiler_progname = 'nvr'

if has("nvim")
    if !exists('g:deoplete#omni#input_patterns')
        let g:deoplete#omni#input_patterns = {}
    endif
    let g:deoplete#omni#input_patterns.tex = g:vimtex#re#deoplete
endif

let g:vimtex_compiler_progname = 'nvr'

set conceallevel=0

" spell checking
setlocal spell
setlocal spell spelllang=de

" Mappings
nmap <localleader>d :VimtexDocPackage<cr> " Open Package Doc
nnoremap <F5> :make fast<CR>

" Abbreviations {{{
iab DEU Deutschland
iab thg Treibhausgas
iab emis Emission
iab ewende Energiewende
iab def Definition
iab OSA Off-Shore-Anlage
iab oSA On-Shore-Anlage
iab zb zum Beispiel
iab bspw beispielsweise
iab gls \gls
"}}}
